> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v-2024-05-25/accounts-receivable/quotes/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Create and send quotes ## Overview A quote is a formal offer that details how much a product or service will cost. Quotes are similar to invoices. The difference is that a quote is given to a potential customer *before* they decide to purchase, whereas an invoice is issued *after* the delivery of products or services to the customer. Quotes have an expiry date by which the quote should be accepted or declined. ## Prerequisites To be able to create quotes, an [entity](../../entities/index) must have either the `tax_id` or `vat_id` or both specified. If an entity was initially created without `tax_id` and `vat_id`, [update the entity](../../entities/index#update) and add these values. ## Create a quote A typical quote workflow includes the following steps: 1. Create a counterpart that represents the customer. 2. Create one or more *products* to be listed in the quote. 3. Get the applicable *VAT rates* based on the entity's country and the counterpart's country, and choose the rates for the products that will be listed in the quote. 4. Create the quote. ### 1. Create a counterpart The counterpart represents the customer (organization or individual) purchasing your products or services. Learn how to [create counterparts](../../common/counterparts/index#create). ### 2. Create a product The products to be listed in the quote must also be created in advance. Depending on the entity's country, measure units may be required for products before the quote can be issued. Learn how to [create products and measure units](../products#create-a-product). As an example, here is a representation of a sample *t-shirt* product: ```json { "id": "8755c86a-d630-4920-b6fd-fd2917d87dfb", "name": "T-shirt", "type": "product", "description": "A black cotton t-shirt, medium size", "price": { "currency": "EUR", "value": 1000 // 10 Euro }, "measure_unit_id": "256560f1-8d09-4d21-aadf-45b33e4b0660", "smallest_amount": 1 } ``` The associated measure unit is "pieces" (items): ```json { "id": "256560f1-8d09-4d21-aadf-45b33e4b0660", "name": "pcs", "description": "pieces", ... } ``` ### 3. Get VAT rates > **Warning** > > **Exception for non-supported countries, US, and Pakistan** > > Quote issuers in certain non-supported countries, US, and Pakistan, do not need to retrieve applicable VAT rates vis-à-vis their counterparties when creating a quote. However, Monite enables such quote issuers to provide the applicable VAT rates directly to the recipient by using the `tax_rate_value` field in the quote line item object. For a full list of supported countries, see [Supported countries](../regulatory-compliance/countries). A quote must specify VAT rates for its line items, even if the VAT is 0%. You can call `GET /vat_rates?counterpart_id={id}` to get the possible VAT rates for sales to the given counterpart: ```sh curl -X GET 'https://api.sandbox.monite.com/v1/vat_rates?counterpart_id=0414f...5435' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'X-Monite-Entity-Id: ENTITY_ID' \ -H 'Authorization: Bearer ACCESS_TOKEN' ``` The response includes the possible VAT rates (as a percentage multiplied by 100) and their IDs. Store the IDs somewhere as you will need them later. ```json { "data": [ { "id": "a39a2ec3-765d-4f75-9a17-585a5d22509d", ... "value": 0, "country": "DE" }, { "id": "51cefc6c-9f82-484e-ae6a-a3a89b507bea", ... "value": 700, "country": "DE" }, ... ] } ``` [Learn more about VAT rates.](../vat-rates) The `GET /vat_rates` endpoint returns all VAT rates applicable to the entity's [VAT IDs](../../entities/vat-ids). If the entity VAT ID is not present, the request will return only a 0% VAT rate for the entity's country in the response. > **Info** > > If a counterpart is exempt from paying VAT, you can provide the reason for exemption via the optional `vat_exemption_rationale` field on the quote object. For example, depending on the location, counterparts in healthcare and education services may be exempt from paying VATs. You can assign a 0% VAT rate on the quote line item and provide the reason for exemption via the `vat_exemption_rationale` field. The reason provided will also be displayed on the quote's PDF. ### 4. Create the quote Once the counterpart and products have been created, you can create the quote for a given counterpart by calling `POST /receivables` with the `type` field in the request body set to `quote`. The request body must contain the counterpart ID, line items (products, their quantities, and VAT rates), and quote expiration date, among other information. The subtotal, total, and VAT amount are not specified in the request - they will be calculated automatically based on the product price, quantity, and VAT rates. The example below creates a quote for five items of a product: ```sh curl -X POST 'https://api.sandbox.monite.com/v1/receivables' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'X-Monite-Entity-Id: ENTITY_ID' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "type": "quote", "counterpart_id": "0414f84c-b039-4203-b09b-e42b49245435", "expiry_date": "2022-06-01", "currency": "EUR", "line_items": [ { "product_id": "8755c86a-d630-4920-b6fd-fd2917d87dfb", "quantity": 5, "vat_rate_id": "479155c3-0995-4689-a3cf-7482ea5132a9" } ], "vat_exempt": false, "counterpart_billing_address_id": "7482ea513-4689-d630-782b6f0fs3", "entity_bank_account_id": "4c6d245f-0f57-4db1-8e94-eaa6311a8e7a", "counterpart_vat_id_id": "782b6f0f-0177-475c-b1e4-98dc160a656f", "entity_vat_id_id": "cb6c1c38-fdae-48f8-8e51-2d50d116b882" }' ``` > **Info** > > **Notes** > > * US entities cannot use the `vat_rate_id` on the `line_items` object when creating quotes. US entities must provide custom VAT rate values using the `tax_rate_value` field on the `line_item` object. > * When UK entities create invoices that fall under the Northern Ireland Protocol, the `entity_vat_id_id` field must point to a VAT ID object with `type="eu_vat"`. Learn how to configure VAT IDs for UK entities that operate under the NI Protocol. The successful `201 Created` response contains the `id` assigned to the created quote, along with the calculated total (`total_amount`), subtotal (`subtotal`), VAT (`total_vat_amount`), and other information. ```json { "type": "quote", "expiry_date": "2022-06-01", "id": "e9a25ceb-003d-4c82-9e90-5d568ccd8c47", "created_at": "2022-05-04T09:12:53.875094+00:00", "updated_at": "2022-05-04T09:12:53.875103+00:00", "currency": "EUR", "subtotal": 5000, "line_items": [ { "quantity": 5, "product": { ... } } ], "total_amount": 5900, "total_vat_amount": 950, ... } ``` > **Info** > > For the complete list of quote data fields and their descriptions, refer to the `/receivables` [endpoint](/api/receivables/post-receivables). #### Auto-calculated amounts Monite automatically calculates the subtotal, total, and VAT amounts for the entire quote and individual line items. These amounts are included in responses from the `/receivables*` endpoints. You can display these amounts in your application and use them in your business logic. * `line_items[i].total_before_vat` - line item amount including the discount but excluding VAT. * `line_items[i].total_after_vat` - line item amount including the discount and VAT. * `subtotal` - quote subtotal as a sum of line item subtotals. VAT and quote-level discounts are not included, but line-item discounts are included. * `subtotal_after_vat` - a sum of `subtotal` and `total_vat_amount`. In other words, it is the quote subtotal including VAT and line item discounts, but excluding quote-level discount. * `discounted_subtotal` - quote subtotal after the quote-level discount. VAT is not included. * `total_deduction_amount` - the sum of all deductions that are appplied after VAT (not to be confused with discounts). * `total_vat_amount` - total VAT amount for the entire quote. * `total_vat_amounts` - a list of VAT rates used in the document, along with the calculated total VAT amounts for each rate. * `total_withholding_tax` - if `withholding_tax_rate` is provided, the total withholding tax is calculated as the specified percentage of the `discounted_subtotal`. * `total_amount` - total quote amount after all discounts, VAT, and other taxes. It's the sum of `discounted_subtotal` and `total_vat_amount`, minus `total_deduction_amount` and `total_withholding_tax` (if any). > **Info** > > All monetary amounts are specified in [minor currency units](../../references/currencies#minor-units), such as cents or pence. ## Download the quote as PDF \[#download-pdf] After creating a quote, you can download it as a PDF or send it to the customer via email. Monite automatically generates the PDF version of quotes in the counterpart language and the entity language, and returns links to these files in the `file_url` and `original_file_url` fields of quote responses: ```json { "type": "invoice", ... // Counterpart's version of a PDF quote "file_language": "nl", "file_url": "https://bucketname.s3.amazonaws.com//.pdf", ... // Entity's version of a PDF quote "original_file_language": "en", "original_file_url": "https://bucketname.s3.amazonaws.com//.pdf", ... } ``` > **Info** > > If `file_url` or `original_file_url` is `null`, repeat the request to `GET /receivables/{quote_id}` after some time. If you need just the PDF file link without the full quote details, call `GET /receivables/{quote_id}/pdf_link`: ```sh curl -X GET 'https://api.sandbox.monite.com/v1/receivables/411dc6eb...6289b3/pdf_link' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'X-Monite-Entity-Id: ENTITY_ID' \ -H 'Authorization: Bearer ACCESS_TOKEN' ``` It returns the following response: ```json { "file_url": "https://bucketname.s3.amazonaws.com//.pdf", "original_file_url": "https://bucketname.s3.amazonaws.com//.pdf" } ``` Here's how the PDF looks like: ![A PDF quote](/_fern-img/4623ddce40f9a4de24b9dfd9338e256ef45cb32609ff6fa6f29a6a9adafba338.webp) > **Info** > > The PDF file is updated automatically if the quote is changed (for example, if new line items are added to a draft quote, or if the counterpart address is changed). ### PDF localization Monite provides several built-in PDF templates for quotes. The language on the quote's PDF depends on the language of the quote's counterpart. If the counterpart language is absent, the quote's PDF will be created in the entity's language. Updating the quote's counterpart's language or changing the quote's counterpart to a counterpart with a different language will also update the quote's PDF translation. For more information, see [PDF localization](../../advanced/pdf-templates#localization). Monite formats delimiters and decimal separators on amounts displayed on the PDFs based on the entity's country. Entities can [change their default template](../../advanced/pdf-templates#default) or customize their chosen templates anytime. For more information, see [PDF templates](../../advanced/pdf-templates). ## Verify the quote Before a newly created quote can be issued to a counterpart, certain required information must be present on the quote. This includes information about the entity, counterpart, line items, and VAT rates on the quote. To trigger regulatory checks for a quote and check that a quote contains all required information, send a `POST` request to the `receivables/{receivable_id}/verify` endpoint as shown: ```sh curl -X POST 'https://api.sandbox.monite.com/v1/receivables/411dcb...289b3/verify' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'X-Monite-Entity-Id: ENTITY_ID' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ ``` A successful response returns an object containing the missing information required on the quote. The `errors` object in the response shows all the missing information required on the quote. If the quote has all required information filled in, all response fields have the `null` value. For example, the following example shows the response for a quote without entity tax ID and counterpart tax ID information. ```json { "errors": { "counterpart": ["tax_id"], "entity": ["tax_id"], "products": null, "receivable": null, "vat_rates": null }, "warnings": { "payment_reminders": null } } ``` ## Send the quote via email Once a draft quote has been finalized, you can send it to the counterpart via email. The quote will be attached as a PDF file to the email. You can also preview the quote's email before sending it; for more information, see [Preview a quote's email](./manage#preview-email). To send a quote, call [`POST /receivables/{receivable_id}/send`](/api/receivables/post-receivables-id-send) and provide the `subject_text` and `body_text`. The language of the email template used is determined by the counterpart's `language`. Aside from the counterpart's default email address, Monite also allows you to provide a list of email addresses to which you can send the invoice using the `recipients` field. If the `recipients` field is not provided, the quote email is sent only to the counterpart's email address. ```sh curl -X POST 'https://api.sandbox.monite.com/v1/receivables/e9a25c...8c47/send' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'X-Monite-Entity-Id: ENTITY_ID' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "subject_text": "New quote #{quote_number}", "body_text": "Dear {contact_name},\n\nThank you for requesting a quote for your project. We are happy to provide you with our quote #{quote_number}!\n\nIf you have any questions, please don\'t hesitate to contact us at {entity_email}.", "recipients": { "to": ["dana@example.com"], "cc": ["support@example.com", "sales@example.com"], "bcc": ["exec@example.com"] } }' ``` Notes: * The values of the `subject_text` and `body_text` fields will replace the `subject_text` and `body_template` variables if they were used when creating your custom templates. For more information, see [Create and manage email templates](../../advanced/email-templates/manage) and [Variables list](../../advanced/variables#list). Both the subject and body texts can include [variables](../../advanced/variables) as placeholders for quote-specific and counterpart-specific data. * You can also opt to attach the quote's PDF to the email sent to the counterpart. To do this, you must update the value of the `mail.attach_documents_as_pdf` field to `true` in your partner settings. For more information, see [Update partner settings](/api/partner-settings/patch-settings). The `To` email address is taken from the `Counterpart` object associated with the quote. This address is also returned in the `counterpart_contact.email` field of the `Receivable` object that represents the quote. All quote emails are sent from the `noreply@monite.com` email address by default. You can customize the email domain name—`@exampleCompany.com`— by [configuring a mailbox](../../advanced/mailboxes) for the entity. You can also customize the email sender name and username by updating your Monite partner settings. For more information, see [Update partner settings](/api/partner-settings/patch-settings). A `200 OK` response from `POST /receivables/{quote_id}/send` means the email was successfully sent from the Monite email server. > **Info** > > **Notes** > > * Sending a `draft` quote changes its [status](./index#draft) to `issued`. Issued quotes can no longer be edited. > * Only quotes in the `draft`, `issued`, and `accepted` statuses can be sent via email. Attempting to send a quote in the `deleted`, `expired`, or `declined` status will return an error. #### Resend the quote To resend an already issued quote, you can call `POST /receivables/{quote_id}/send` again, optionally with different `subject_text` and `body_text` templates. > **Info** > > Resending a quote does not change its `status`. > Learn how to create a quote and send a formal offer.